Developer
    Utility Bill Pay API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • Get Category
      GET
    • Biller Lists
      GET
    • Biller Fetch
      POST
    • Biller Payment
      POST

      Biller Payment

      POST
      https://api.wepego.com/utility/bill/payment
      PARAMDefaultMandatory (M) , Optional (O)
      codeBiller code from Biller ListsM
      agent_idUnique Random ID 5-28 Digit from PartnerM
      param_primaryfrom biller lists api you will get fields array- isprimary true and secuence 1 it will be calculated as param_primary, rest will be optional1,optional2 as like thisM
      optional1optional1 will be secuence 2 or 1 which is not primary trueO
      optional2secuence 3O
      optional3secuence 4O
      optional4secuence 5O
      optional5secuence 6O
      amountamount doubleM

      RESPONSE :#

      PARAMDefault
      statussuccess or failed
      result0=OK and 1 = error
      callback_statusSUCCESS, PENDING, FAILED
      utrBiller/Operator Ref ID
      error/msgfailed message or error message

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200
      application/json
      Bodyapplication/json

      🟠400
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.wepego.com/utility/bill/payment' \
      --header 'Token: ZKEYza2COHK0QVkcVkwUb6WeIgWiS' \
      --header 'checkSum: 739f448d1cc4f5bbbd048e68ba2b8885b0f8414ed4090ad967df7d15d7cdbbae' \
      --header 'Content-Type: application/json' \
      --data '{
        "code": "VFC",
        "agent_id": "ZLP000KLO0000PPLO00P03",
        "param_primary": "90*******72",
        "optional1": "",
        "optional2": "",
        "optional3": "",
        "optional4": "",
        "amount": 10
      
      }'
      Response Response Example
      200 - success
      {
          "status": "success",
          "current_time": "13,Dec,2024 05:10:10 PM",
          "amount": 10,
          "msg": "",
          "error": "",
          "utr": "014348BAAJFEMCZ000",
          "tlid": "ZBB1734090010497pDfOUGj",
          "biller": "Vi Postpaid",
          "callback_status": "SUCCESS",
          "timestamp": "2024-12-13 05:10:10pm",
          "result": 0,
          "agent_id": "ZLP000KLO0000PPLO00P03"
      }
      Modified at 2026-08-29 13:16:25
      Previous
      Biller Fetch
      Built with